All Resources All filters

# PICSFilter

The PICSFilter will catch all ingoing requests to some target resource(s) and decorate them, on the way back with PICS labels (if possible).

To find labels, the PICSFilter goes to a LabelBureau, which implements a label database (see the PICS administration guide for more informations on label bureaus).

## Inherits

The PICSFilter class inherits from the following classes:

- ResourceFilter

## Attributes description

The PICSFilter defines the following attribute:

- bureau

`bureau`

semantics
  The identifier of the bureau's database to query to get document labels.
type
  This attribute is a editale FileAttribute.
default value
  This attribute has no default value.

Jigsaw Team
$Id: w3c.jigsaw.pics.PICSFilter.html,v 1.1 1996/04/29 23:36:25 abaird Exp $